Bug 1661924 - [Driver] networking_odl WebSocketConnectionClosedException: Connection is already closed (False Error)
Summary: [Driver] networking_odl WebSocketConnectionClosedException: Connection is alr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-odl
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: z6
: 13.0 (Queens)
Assignee: Mike Kolesnik
QA Contact: Noam Manos
URL:
Whiteboard: Driver
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 13:17 UTC by Noam Manos
Modified: 2019-03-06 16:17 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-06 16:15:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Noam Manos 2018-12-24 13:17:51 UTC
Description of problem:
Please change this networking_odl ERROR to WARN:
neutron/server.log shows many times this ERROR while it is actually a warning:

networking_odl.common.websocket_client WebSocketConnectionClosedException: Connection is already closed.

Version-Release number of selected component (if applicable):
14   -p 2018-12-20.4

How reproducible:
Always

Steps to Reproduce:
1. Install OSP + ODL
2. Check /var/log/containers/neutron/server.log for ERRORs


Actual results:

*** controller-2: /var/log/containers/neutron/server.log ***

2018-12-24 06:56:48.146 31 DEBUG neutron.wsgi [-] (31) accepted ('172.17.1.30', 57354) server /usr/lib/python2.7/site-packages/eventlet/wsgi.py:883
2018-12-24 06:56:48.148 31 INFO neutron.wsgi [-] 172.17.1.30 "OPTIONS / HTTP/1.0" status: 200  len: 248 time: 0.0011439
2018-12-24 06:56:48.697 31 DEBUG neutron.wsgi [-] (31) accepted ('172.17.1.10', 38722) server /usr/lib/python2.7/site-packages/eventlet/wsgi.py:883
2018-12-24 06:56:48.699 31 INFO neutron.wsgi [-] 172.17.1.10 "OPTIONS / HTTP/1.0" status: 200  len: 248 time: 0.0011308
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client 
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     bytes = self.recv(min(16384, shortage))
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     data = ws.recv()
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/networking_odl/common/websocket_client.py", line 124, in run_websocket_thread
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_abnf.py", line 249, in recv_header
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_abnf.py", line 300, in recv_frame
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_abnf.py", line 334, in recv_strict
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_core.py", line 348, in recv
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_core.py", line 365, in recv_data
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_core.py", line 378, in recv_data_frame
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_core.py", line 410, in recv_frame
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_core.py", line 476, in _recv
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client   File "/usr/lib/python2.7/site-packages/websocket/_socket.py", line 89, in recv
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     frame = self.recv_frame()
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     header = self.recv_strict(2)
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     opcode, data = self.recv_data()
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     opcode, frame = self.recv_data_frame(control_frame)
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     raise WebSocketConnectionClosedException("Connection is already closed.")
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     return recv(self.sock, bufsize)
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     return self.frame_buffer.recv_frame()
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client     self.recv_header()
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client Traceback (most recent call last):
2018-12-24 06:56:49.141 37 ERROR networking_odl.common.websocket_client WebSocketConnectionClosedException: Connection is already closed.
2018-12-24 06:56:49.141 37 WARNING networking_odl.common.websocket_client [req-96e85633-26d6-4aab-8240-ac7b9c17ae4b - - - - -] websocket connection closed or IO error: WebSocketConnectionClosedException: Connection is already closed.
2018-12-24 06:56:49.143 37 DEBUG networking_odl.common.websocket_client [req-96e85633-26d6-4aab-8240-ac7b9c17ae4b - - - - -] closing websocket _close_ws /usr/lib/python2.7/site-packages/networking_odl/common/websocket_client.py:289
2018-12-24 06:56:49.143 37 INFO networking_odl.common.websocket_client [req-96e85633-26d6-4aab-8240-ac7b9c17ae4b - - - - -] websocket transition to status ODL_WEBSOCKET_DISCONNECTED


Expected results:


Additional info:

Comment 2 Franck Baudin 2019-03-06 16:15:03 UTC
As per depreciation notice [1], closing this bug. Please reopen if relevant for RHOSP13, as this is the only version shipping ODL.

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/14/html-single/release_notes/index#deprecated_functionality

Comment 3 Franck Baudin 2019-03-06 16:17:18 UTC
As per depreciation notice [1], closing this bug. Please reopen if relevant for RHOSP13, as this is the only version shipping ODL.

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/14/html-single/release_notes/index#deprecated_functionality


Note You need to log in before you can comment on or make changes to this bug.